Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.commons.core.v1
Class ObjectFactory

    java.lang.Object
      be.fgov.ehealth.commons.core.v1.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.commons.core.v1 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.commons.core.v1

Method Summary
`AddressType` | `createAddressType()` Create an instance of `AddressType`
`CountryType` | `createCountryType()` Create an instance of `CountryType`
`IdentifierType` | `createIdentifierType()` Create an instance of `IdentifierType`
`LocalisedString` | `createLocalisedString()` Create an instance of `LocalisedString`
`MunicipalityType` | `createMunicipalityType()` Create an instance of `MunicipalityType`
`PeriodType` | `createPeriodType()` Create an instance of `PeriodType`
`StatusType` | `createStatusType()` Create an instance of `StatusType`
`StreetType` | `createStreetType()` Create an instance of `StreetType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.commons.core.v1

Method Detail

### createIdentifierType

    public IdentifierType createIdentifierType()

  Create an instance of `IdentifierType`

### createPeriodType

    public PeriodType createPeriodType()

  Create an instance of `PeriodType`

### createLocalisedString

    public LocalisedString createLocalisedString()

  Create an instance of `LocalisedString`

### createStatusType

    public StatusType createStatusType()

  Create an instance of `StatusType`

### createAddressType

    public AddressType createAddressType()

  Create an instance of `AddressType`

### createStreetType

    public StreetType createStreetType()

  Create an instance of `StreetType`

### createMunicipalityType

    public MunicipalityType createMunicipalityType()

  Create an instance of `MunicipalityType`

### createCountryType

    public CountryType createCountryType()

  Create an instance of `CountryType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.